(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("react-dom"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "react-dom"], factory);
	else if(typeof exports === 'object')
		exports["ReactOS"] = factory(require("react"), require("react-dom"));
	else
		root["ReactOS"] = factory(root["React"], root["ReactDOM"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_3__, __WEBPACK_EXTERNAL_MODULE_8__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	/*
	 *  Main Style
	 */
	'use strict';

	exports.__esModule = true;

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	__webpack_require__(1);

	/*
	 *  Components
	 */

	var _componentsApplicationROSApplication = __webpack_require__(2);

	var _componentsApplicationROSApplication2 = _interopRequireDefault(_componentsApplicationROSApplication);

	exports.ROSApplication = _componentsApplicationROSApplication2['default'];

	var _componentsButtonROSButton = __webpack_require__(4);

	var _componentsButtonROSButton2 = _interopRequireDefault(_componentsButtonROSButton);

	exports.ROSButton = _componentsButtonROSButton2['default'];

	var _componentsContextmenuROSContextMenu = __webpack_require__(5);

	var _componentsContextmenuROSContextMenu2 = _interopRequireDefault(_componentsContextmenuROSContextMenu);

	exports.ROSContextMenu = _componentsContextmenuROSContextMenu2['default'];

	var _componentsDesktopROSDesktop = __webpack_require__(6);

	var _componentsDesktopROSDesktop2 = _interopRequireDefault(_componentsDesktopROSDesktop);

	exports.ROSDesktop = _componentsDesktopROSDesktop2['default'];

	var _componentsMenutreeROSMenuItem = __webpack_require__(7);

	var _componentsMenutreeROSMenuItem2 = _interopRequireDefault(_componentsMenutreeROSMenuItem);

	exports.ROSMenuItem = _componentsMenutreeROSMenuItem2['default'];

	var _componentsMenutreeROSMenuTree = __webpack_require__(10);

	var _componentsMenutreeROSMenuTree2 = _interopRequireDefault(_componentsMenutreeROSMenuTree);

	exports.ROSMenuTree = _componentsMenutreeROSMenuTree2['default'];

	var _componentsToolbarROSToolBar = __webpack_require__(12);

	var _componentsToolbarROSToolBar2 = _interopRequireDefault(_componentsToolbarROSToolBar);

	exports.ROSToolBar = _componentsToolbarROSToolBar2['default'];

	var _componentsWindowROSWindow = __webpack_require__(13);

	var _componentsWindowROSWindow2 = _interopRequireDefault(_componentsWindowROSWindow);

	exports.ROSWindow = _componentsWindowROSWindow2['default'];

	/*
	 *  Common
	 */

	var _constants = __webpack_require__(14);

	var _Constants = _interopRequireWildcard(_constants);

	exports.Constants = _Constants;

/***/ },
/* 1 */
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var ROSApplication = _react2["default"].createClass({
	    displayName: "ROSApplication",

	    childContextTypes: {
	        rosTheme: _react2["default"].PropTypes.object
	    },

	    getChildContext: function getChildContext() {
	        return {
	            rosTheme: this.context.rosTheme || {}
	        };
	    },

	    render: function render() {
	        return _react2["default"].createElement(
	            "div",
	            { className: "ros-application flex flex-vbox" },
	            this.props.children
	        );
	    }
	});

	exports["default"] = ROSApplication;
	module.exports = exports["default"];

/***/ },
/* 3 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_3__;

/***/ },
/* 4 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var ROSButton = _react2["default"].createClass({
	    displayName: "ROSButton",

	    render: function render() {
	        return _react2["default"].createElement("div", { className: "ros-button" });
	    }
	});

	exports["default"] = ROSButton;
	module.exports = exports["default"];

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var ROSContextMenu = _react2["default"].createClass({
	    displayName: "ROSContextMenu",

	    render: function render() {
	        return _react2["default"].createElement("div", { className: "ros-contextmenu" });
	    }
	});

	exports["default"] = ROSContextMenu;
	module.exports = exports["default"];

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var ROSDesktop = _react2["default"].createClass({
	    displayName: "ROSDesktop",

	    render: function render() {
	        return _react2["default"].createElement("div", { className: "ros-desktop flex-1" });
	    }
	});

	exports["default"] = ROSDesktop;
	module.exports = exports["default"];

/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var _reactDom = __webpack_require__(8);

	var _reactDom2 = _interopRequireDefault(_reactDom);

	var _classnames = __webpack_require__(9);

	var _classnames2 = _interopRequireDefault(_classnames);

	var ROSMenuItem = _react2['default'].createClass({
	    displayName: 'ROSMenuItem',

	    getInitialState: function getInitialState() {
	        return {
	            open: false,
	            focus: false
	        };
	    },

	    getDefaultProps: function getDefaultProps() {
	        return {
	            root: false,
	            title: ''
	        };
	    },

	    propTypes: {
	        root: _react2['default'].PropTypes.bool,
	        title: _react2['default'].PropTypes.string
	    },

	    onTitleClick: function onTitleClick(event) {
	        if (this.props.onItemClick) {
	            this.props.onItemClick();
	        }

	        if (this.props.root) {
	            var newState = {};

	            if (this.props.children.length && !this.state.open) {
	                newState.open = true;
	            }

	            if (this.state.open) {
	                newState.open = false;
	                newState.focus = false;
	            }

	            this.setState(newState);
	        } else {}

	        //if no children, close the menu
	        // if(!this.props.children.lenght) {
	        //     this.setState(this.getInitialState());
	        // }
	    },

	    onItemsMouseEnter: function onItemsMouseEnter(event) {
	        this.setState({
	            focus: true
	        });
	    },

	    onItemsMouseLeave: function onItemsMouseLeave(event) {},

	    componentDidMount: function componentDidMount() {
	        document.addEventListener('click', this.onDocumentClick);
	    },

	    onDocumentClick: function onDocumentClick(event) {
	        console.log(event);
	        console.log(_reactDom2['default'].findDOMNode(this));
	    },

	    render: function render() {
	        var menuItemClasses = _classnames2['default']('ros-menuitem', {
	            'root': this.props.root,
	            'open': this.state.open
	        });

	        var titleClasses = _classnames2['default']('title', {
	            'display-hidden': !this.props.title
	        });

	        var itemsClasses = _classnames2['default']('items', {
	            'open': this.state.open,
	            'focus': this.state.focus

	        });

	        return _react2['default'].createElement(
	            'div',
	            { className: menuItemClasses },
	            _react2['default'].createElement(
	                'div',
	                { className: 'content' },
	                _react2['default'].createElement(
	                    'div',
	                    { className: titleClasses, onClick: this.onTitleClick },
	                    this.props.title
	                ),
	                _react2['default'].createElement(
	                    'div',
	                    { className: itemsClasses, onMouseEnter: this.onItemsMouseEnter, onMouseLeave: this.onItemsMouseLeave },
	                    this.props.children
	                )
	            )
	        );
	    }
	});

	exports['default'] = ROSMenuItem;
	module.exports = exports['default'];

/***/ },
/* 8 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_8__;

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	var __WEBPACK_AMD_DEFINE_RESULT__;/*!
	  Copyright (c) 2015 Jed Watson.
	  Licensed under the MIT License (MIT), see
	  http://jedwatson.github.io/classnames
	*/
	/* global define */

	(function () {
		'use strict';

		var hasOwn = {}.hasOwnProperty;

		function classNames () {
			var classes = '';

			for (var i = 0; i < arguments.length; i++) {
				var arg = arguments[i];
				if (!arg) continue;

				var argType = typeof arg;

				if (argType === 'string' || argType === 'number') {
					classes += ' ' + arg;
				} else if (Array.isArray(arg)) {
					classes += ' ' + classNames.apply(null, arg);
				} else if (argType === 'object') {
					for (var key in arg) {
						if (hasOwn.call(arg, key) && arg[key]) {
							classes += ' ' + key;
						}
					}
				}
			}

			return classes.substr(1);
		}

		if (typeof module !== 'undefined' && module.exports) {
			module.exports = classNames;
		} else if (true) {
			// register as 'classnames', consistent with npm package name
			!(__WEBPACK_AMD_DEFINE_RESULT__ = function () {
				return classNames;
			}.call(exports, __webpack_require__, exports, module), __WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
		} else {
			window.classNames = classNames;
		}
	}());


/***/ },
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var _classnames = __webpack_require__(9);

	var _classnames2 = _interopRequireDefault(_classnames);

	var _constantsLayouts = __webpack_require__(11);

	var _constantsLayouts2 = _interopRequireDefault(_constantsLayouts);

	var ROSMenuTree = _react2['default'].createClass({
	    displayName: 'ROSMenuTree',

	    getDefaultProps: function getDefaultProps() {
	        return {
	            layout: _constantsLayouts2['default'].HORIZONTAL
	        };
	    },

	    propTypes: {
	        layout: _react2['default'].PropTypes.string
	    },

	    render: function render() {
	        var classes = _classnames2['default']('ros-menutree', {
	            'horizontal flex': this.props.layout == _constantsLayouts2['default'].HORIZONTAL,
	            'vertical flex flex-vbox': this.props.layout == _constantsLayouts2['default'].VERTICAL
	        });

	        return _react2['default'].createElement(
	            'div',
	            { className: classes },
	            this.props.children
	        );
	    }
	});

	exports['default'] = ROSMenuTree;
	module.exports = exports['default'];

/***/ },
/* 11 */
/***/ function(module, exports) {

	'use strict';

	exports.__esModule = true;
	exports['default'] = {
	    HORIZONTAL: 'layouts.horizontal',
	    VERTICAL: 'layouts.vertical'
	};
	module.exports = exports['default'];

/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var ROSToolBar = _react2["default"].createClass({
	    displayName: "ROSToolBar",

	    render: function render() {
	        return _react2["default"].createElement(
	            "div",
	            { className: "ros-toolbar" },
	            this.props.children
	        );
	    }
	});

	exports["default"] = ROSToolBar;
	module.exports = exports["default"];

/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

	var _react = __webpack_require__(3);

	var _react2 = _interopRequireDefault(_react);

	var ROSWindow = _react2["default"].createClass({
	    displayName: "ROSWindow",

	    render: function render() {
	        return _react2["default"].createElement("div", { className: "ros-window" });
	    }
	});

	exports["default"] = ROSWindow;
	module.exports = exports["default"];

/***/ },
/* 14 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var _layouts = __webpack_require__(11);

	var _layouts2 = _interopRequireDefault(_layouts);

	exports.Layouts = _layouts2['default'];

	var _corners = __webpack_require__(15);

	var _corners2 = _interopRequireDefault(_corners);

	exports.Corners = _corners2['default'];

/***/ },
/* 15 */
/***/ function(module, exports) {

	'use strict';

	exports.__esModule = true;
	exports['default'] = {
	    TOP_LEFT: 'top left',
	    TOP_RIGHT: 'top right',
	    BOTTOM_RIGHT: 'bottom right',
	    BOTTOM_LEFT: 'bottom left'
	};
	module.exports = exports['default'];

/***/ }
/******/ ])
});
;