'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _constantsLayouts = require('../../constants/layouts');

var _constantsLayouts2 = _interopRequireDefault(_constantsLayouts);

var ROSMenuTree = _react2['default'].createClass({
    displayName: 'ROSMenuTree',

    getDefaultProps: function getDefaultProps() {
        return {
            layout: _constantsLayouts2['default'].HORIZONTAL
        };
    },

    propTypes: {
        layout: _react2['default'].PropTypes.string
    },

    render: function render() {
        var classes = _classnames2['default']('ros-menutree', {
            'horizontal flex': this.props.layout == _constantsLayouts2['default'].HORIZONTAL,
            'vertical flex flex-vbox': this.props.layout == _constantsLayouts2['default'].VERTICAL
        });

        return _react2['default'].createElement(
            'div',
            { className: classes },
            this.props.children
        );
    }
});

exports['default'] = ROSMenuTree;
module.exports = exports['default'];